diff -pruN 0.4.2-6/debian/changelog 0.4.2-7/debian/changelog
--- 0.4.2-6/debian/changelog	2023-12-27 19:28:44.000000000 +0000
+++ 0.4.2-7/debian/changelog	2024-05-25 15:00:18.000000000 +0000
@@ -1,3 +1,14 @@
+fife (0.4.2-7) unstable; urgency=medium
+
+  * Team upload.
+  * Trim trailing whitespace.
+  * Fix watch file
+  * Modernize d/rules with newer syntax
+  * Janitor: add upstream metadata
+  * Update standards version to 4.6.2, no changes needed.
+
+ -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 17:00:18 +0200
+
 fife (0.4.2-6) unstable; urgency=medium
 
   * Team upload.
diff -pruN 0.4.2-6/debian/control 0.4.2-7/debian/control
--- 0.4.2-6/debian/control	2023-12-27 19:26:51.000000000 +0000
+++ 0.4.2-7/debian/control	2024-05-25 15:00:18.000000000 +0000
@@ -7,7 +7,7 @@ Priority: optional
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  libalut-dev,
  libasound2-dev,
  libboost-dev,
@@ -30,7 +30,7 @@ Build-Depends:
  swig,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/fife.git
 Vcs-Browser: https://salsa.debian.org/games-team/fife
 Homepage: https://www.fifengine.net/
diff -pruN 0.4.2-6/debian/rules 0.4.2-7/debian/rules
--- 0.4.2-6/debian/rules	2023-12-27 19:26:51.000000000 +0000
+++ 0.4.2-7/debian/rules	2024-05-25 15:00:18.000000000 +0000
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+include /usr/share/dpkg/architecture.mk
 
 MAX  := 2
 TYPE := RelWithDebInfo
@@ -16,7 +17,7 @@ endif
 endif
 
 %:
-	dh $@ --max-parallel=$(MAX) --with python3 --buildsystem=cmake
+	dh $@ --max-parallel=$(MAX) --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -27,7 +28,3 @@ override_dh_auto_configure:
 override_dh_install:
 	dh_install
 	find debian/ -name "LICENSE.md" -delete
-
-override_dh_missing:
-	dh_missing --fail-missing
-
diff -pruN 0.4.2-6/debian/upstream/metadata 0.4.2-7/debian/upstream/metadata
--- 0.4.2-6/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 0.4.2-7/debian/upstream/metadata	2024-05-25 15:00:18.000000000 +0000
@@ -0,0 +1,4 @@
+---
+Bug-Database: https://github.com/fifengine/fifengine/issues
+Bug-Submit: https://github.com/fifengine/fifengine/issues/new
+Repository-Browse: https://github.com/fifengine/fifengine
diff -pruN 0.4.2-6/debian/watch 0.4.2-7/debian/watch
--- 0.4.2-6/debian/watch	2023-12-27 19:26:51.000000000 +0000
+++ 0.4.2-7/debian/watch	2024-05-25 15:00:18.000000000 +0000
@@ -1,5 +1,5 @@
 version=4
 opts=uversionmangle=s/^(200\d\.)/0.0.$1/ \
-https://github.com/fifengine/fifengine/releases \
+https://github.com/fifengine/fifengine/tags \
 .*[^n]/(?:|v|r|REL_|rel-|fife(?:_|-))(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
 
